Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AttributeLoaderMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface AttributeLoaderMBean
extends ServiceConfigurationMBean

Configuration for specifying attribute loader classes used by the p13n http request and session objects.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String[]` | `getRequestLoaders()` Returns the AttributeLoader classes to use in a Request object.
`String[]` | `getSessionLoaders()` Returns the AttributeLoader classes to use in a Session object.
`void` | `setRequestLoaders(String[] loaders)`
`void` | `setSessionLoaders(String[] loaders)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRequestLoaders

    public String[] getRequestLoaders()

  Returns the AttributeLoader classes to use in a Request object.

  MBean Attribute Old Property Name:
    p13n.request.loaders

### getSessionLoaders

    public String[] getSessionLoaders()

  Returns the AttributeLoader classes to use in a Session object.

  MBean Attribute Old Property Name:
    p13n.session.loaders

### setRequestLoaders

    public void setRequestLoaders(String[] loaders)

### setSessionLoaders

    public void setSessionLoaders(String[] loaders)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved